Subject: i.MX & IRQF_ONESHOT

From: [email-masked] (Eric Bénard)
Date: Wed, 02 Feb 2011 22:26:17 +0100

Hi Uwe,

On 02/02/2011 22:20, Uwe Kleine-K?nig wrote:
> On Fri, Jan 14, 2011 at 02:08:21PM +0100, Uwe Kleine-K?nig wrote:
>> Hello,
>>
>> On Fri, Jan 14, 2011 at 11:57:34AM +0100, Thomas Gleixner wrote:
>>> So there are several things wrong here:
>>>
>>> 1) Using handle_level_irq for an edge interrupt is wrong. That's not
>>>     restricted to the TS driver problem at hand. That's wrong in
>>>     general. Other set_type() functions adjust the handler as well when
>>>     they switch the edge/level types.
>> That was introduced by 060d20d32ae7c6a20a8eac465795ed5bc9b37f7c.
>> As a quick test you can try to revert that.  If that helps I can look
>> deeper into it.  That won't help on at91 though.
> Eric, did you resolve the problem, did reverting 060d20d32ae7c6 help?
>
Sorry, I didn't have the time to test yet.
I'll try to test this and provide feedback before the end of the week.

Best regards,
Eric